<?php

final class ExtensionStorePublisherSearchConduitAPIMethod
  extends PhabricatorSearchEngineAPIMethod {

  public function getAPIMethodName() {
    return 'extensionstore.publisher.search';
  }

  public function getMethodStatus() {
    return self::METHOD_STATUS_UNSTABLE;
  }

  public function newSearchEngine() {
    return new ExtensionStorePublisherSearchEngine();
  }

  public function getMethodSummary() {
    return pht('todo.');
  }

}
